summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index e4e09588..58f1df39 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -57,6 +57,13 @@ if [ $? -ne 0 ] ; then
irc_message debian-reproducible "Proxy is down for $HOSTNAME, please tell the jenkins admins to fix this. (sudo service squid3 restart)"
exit 1
fi
+# check for /dev/shm being mounted
+echo "$(date -u) - testing whether /dev/shm is mounted..."
+mount | grep -q "^tmpfs on /dev/shm"
+if [ $? -ne 0 ] ; then
+ irc_message debian-reproducible "/dev/shm is not mounted correctly on $HOSTNAME, please tell the jenkins admins to fix this. (by adding 'none /dev/shm tmpfs rw,nosuid,nodev,noexec 0 0' to /etc/fstab"
+ exit 1
+fi
echo "$(date -u) - updating the schroots and pbuilder now..."
# use host architecture (only)